Loading...
Searching...
No Matches
RDKit::MorganFingerprint::MorganAtomInvGenerator Class Reference

Default atom invariants generator for Morgan fingerprint, generates ECFP-type invariants. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganAtomInvGenerator:

## Public Member Functions

| MorganAtomInvGenerator (const bool includeRingMembership=true)
| Construct a new MorganAtomInvGenerator object.
std::vector< std::uint32_t > * | getAtomInvariants (const ROMol &mol) const override
| get atom invariants from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomInvariantsGenerator and its arguments
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &) override
MorganAtomInvGenerator * | clone () const override
Public Member Functions inherited from RDKit::AtomInvariantsGenerator
virtual | ~AtomInvariantsGenerator ()

## Detailed Description

Default atom invariants generator for Morgan fingerprint, generates ECFP-type invariants.

Definition at line 26 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## MorganAtomInvGenerator()

RDKit::MorganFingerprint::MorganAtomInvGenerator::MorganAtomInvGenerator | ( | const bool | includeRingMembership = true | ) |

Construct a new MorganAtomInvGenerator object.

Parameters

  includeRingMembership | : if set, whether or not the atom is in a ring will be used in the invariant list.

Referenced by clone().

## Member Function Documentation

## clone()

MorganAtomInvGenerator * RDKit::MorganFingerprint::MorganAtomInvGenerator::clone | ( |  | ) | const

override virtual

Implements RDKit::AtomInvariantsGenerator.

References MorganAtomInvGenerator().

## fromJSON()

void RDKit::MorganFingerprint::MorganAtomInvGenerator::fromJSON | ( | const boost::property_tree::ptree & |  | ) |

override virtual

Reimplemented from RDKit::AtomInvariantsGenerator.

## getAtomInvariants()

std::vector< std::uint32_t > * RDKit::MorganFingerprint::MorganAtomInvGenerator::getAtomInvariants | ( | const ROMol & | mol | ) | const

override virtual

get atom invariants from a molecule

Parameters

  mol | molecule to generate the atom invariants for

Returns
  std::vector<std::uint32_t> atom invariants generated for the given molecule

Implements RDKit::AtomInvariantsGenerator.

## infoString()

std::string RDKit::MorganFingerprint::MorganAtomInvGenerator::infoString | ( |  | ) | const

override virtual

method that returns information about this /c AtomInvariantsGenerator and its arguments

Returns
  std::string information string

Implements RDKit::AtomInvariantsGenerator.

## toJSON()

void RDKit::MorganFingerprint::MorganAtomInvGenerator::toJSON | ( | boost::property_tree::ptree & | pt | ) | const

override virtual

Reimplemented from RDKit::AtomInvariantsGenerator.

The documentation for this class was generated from the following file:

- MorganGenerator.h